Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoAnalog Class Reference
Analog

## Description

Represents Analog output settings.

Inherits kObject.

## Public Member Functions
kStatus | GoAnalog_ClearSource (GoAnalog analog)
| Clears the currently selected source identifier. More...
k64f | GoAnalog_CurrentInvalid (GoAnalog analog)
| Gets the current output level associated with an invalid measurement. More...
kBool | GoAnalog_CurrentInvalidEnabled (GoAnalog analog)
| Gets the status of the invalid current enabled option. More...
k64f | GoAnalog_CurrentInvalidLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the invalid value current. More...
k64f | GoAnalog_CurrentInvalidLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the invalid value current. More...
k64f | GoAnalog_CurrentLimitMax (GoAnalog analog)
| Gets the maximum valid value for CurrentMin, CurrentMax and CurrentInvalid settings. More...
k64f | GoAnalog_CurrentLimitMin (GoAnalog analog)
| Gets the minimum valid value for CurrentMin, CurrentMax and CurrentInvalid settings. More...
k64f | GoAnalog_CurrentMax (GoAnalog analog)
| Gets the maximum current output level. More...
k64f | GoAnalog_CurrentMaxLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the maximum current. More...
k64f | GoAnalog_CurrentMaxLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the maximum current. More...
k64f | GoAnalog_CurrentMin (GoAnalog analog)
| Gets the minimum current output level. More...
k64f | GoAnalog_CurrentMinLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the minimum current. More...
k64f | GoAnalog_CurrentMinLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the minimum current. More...
k64f | GoAnalog_DataScaleMax (GoAnalog analog)
| Gets the measurement value associated with the maximum output current value. More...
k64f | GoAnalog_DataScaleMin (GoAnalog analog)
| Gets the measurement value associated with the minimum output current value. More...
k64s | GoAnalog_Delay (GoAnalog analog)
| Gets the output delay. More...
GoOutputDelayDomain | GoAnalog_DelayDomain (GoAnalog analog)
| Gets the output delay domain. More...
kStatus | GoAnalog_EnableCurrentInvalid (GoAnalog analog, kBool enable)
| Enables the current output level associated with an invalid measurement. More...
kStatus | GoAnalog_EnableSchedule (GoAnalog analog, kBool enabled)
| Enables or disables the scheduler for this output. More...
GoAnalogEvent | GoAnalog_Event (GoAnalog analog)
| Gets the event which triggers this output to fire. More...
k32u | GoAnalog_OptionAt (GoAnalog analog, kSize index)
| Gets the measurement value source option at the specified index. More...
kSize | GoAnalog_OptionCount (GoAnalog analog)
| Gets the number of measurement value source options. More...
kBool | GoAnalog_ScheduleEnabled (GoAnalog analog)
| Gets the enabled state of the scheduler for this output. More...
kStatus | GoAnalog_SetCurrentInvalid (GoAnalog analog, k64f invalid)
| Sets the current output level associated with an invalid measurement. More...
kStatus | GoAnalog_SetCurrentMax (GoAnalog analog, k64f max)
| Sets the maximum current output level. More...
kStatus | GoAnalog_SetCurrentMin (GoAnalog analog, k64f min)
| Sets the minimum current output level. More...
kStatus | GoAnalog_SetDataScaleMax (GoAnalog analog, k64f max)
| Sets the measurement value associated with the maximum output current value. More...
kStatus | GoAnalog_SetDataScaleMin (GoAnalog analog, k64f min)
| Sets the measurement value associated with the minimum output current value. More...
kStatus | GoAnalog_SetDelay (GoAnalog analog, k64s delay)
| Sets the delay from exposure until output is triggered, in units based on GoDomain mm when GoDomain is distance, uS when GoDomain is time. More...
kStatus | GoAnalog_SetDelayDomain (GoAnalog analog, GoOutputDelayDomain delayDomain)
| Sets the output delay domain. More...
kStatus | GoAnalog_SetEvent (GoAnalog analog, GoAnalogEvent event)
| Set the event which triggers this output to fire. More...
kStatus | GoAnalog_SetSource (GoAnalog analog, k32u sourceId)
| Selects a source type and source identifier for output. More...
k32u | GoAnalog_Source (GoAnalog analog)
| Gets the selected source identifier. More...

## Member Function Documentation

kStatus GoAnalog_ClearSource | ( | GoAnalog | analog | ) |

Clears the currently selected source identifier.

Parameters

  analog | GoAnalog object.

Returns
  Operation status.

k64f GoAnalog_CurrentInvalid | ( | GoAnalog | analog | ) |

Gets the current output level associated with an invalid measurement.

Parameters

  analog | GoAnalog object.

Returns
  Invalid current level (mA).

kBool GoAnalog_CurrentInvalidEnabled | ( | GoAnalog | analog | ) |

Gets the status of the invalid current enabled option.

Parameters

  analog | GoAnalog object.

Returns
  Whether invalid current is enabled for this output.

k64f GoAnalog_CurrentInvalidLimitMax | ( | GoAnalog | analog | ) |

Gets the maximum allowable current output level to be set for the invalid value current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentInvalidLimitMin | ( | GoAnalog | analog | ) |

Gets the minimum allowable current output level to be set for the invalid value current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentLimitMax | ( | GoAnalog | analog | ) |

Gets the maximum valid value for CurrentMin, CurrentMax and CurrentInvalid settings.

Parameters

  analog | GoAnalog object.

Returns
  Maximum valid current value (mA).

k64f GoAnalog_CurrentLimitMin | ( | GoAnalog | analog | ) |

Gets the minimum valid value for CurrentMin, CurrentMax and CurrentInvalid settings.

Parameters

  analog | GoAnalog object.

Returns
  Minimum valid current value (mA).

k64f GoAnalog_CurrentMax | ( | GoAnalog | analog | ) |

Gets the maximum current output level.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentMaxLimitMax | ( | GoAnalog | analog | ) |

Gets the maximum allowable current output level to be set for the maximum current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentMaxLimitMin | ( | GoAnalog | analog | ) |

Gets the minimum allowable current output level to be set for the maximum current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentMin | ( | GoAnalog | analog | ) |

Gets the minimum current output level.

Parameters

  analog | GoAnalog object.

Returns
  Minimum current output (mA).

k64f GoAnalog_CurrentMinLimitMax | ( | GoAnalog | analog | ) |

Gets the maximum allowable current output level to be set for the minimum current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_CurrentMinLimitMin | ( | GoAnalog | analog | ) |

Gets the minimum allowable current output level to be set for the minimum current.

Parameters

  analog | GoAnalog object.

Returns
  Maximum current output (mA).

k64f GoAnalog_DataScaleMax | ( | GoAnalog | analog | ) |

Gets the measurement value associated with the maximum output current value.

Parameters

  analog | GoAnalog object.

Returns
  Maximum measurement value (units are measurement dependent).

k64f GoAnalog_DataScaleMin | ( | GoAnalog | analog | ) |

Gets the measurement value associated with the minimum output current value.

Parameters

  analog | GoAnalog object.

Returns
  Minimum measurement value (units are measurement dependent).

k64s GoAnalog_Delay | ( | GoAnalog | analog | ) |

Gets the output delay.

Parameters

  analog | GoAnalog object.

Returns
  The output delay (uS or mm).

GoOutputDelayDomain GoAnalog_DelayDomain | ( | GoAnalog | analog | ) |

Gets the output delay domain.

Parameters

  analog | GoAnalog object.

Returns
  The output delay domain.

kStatus GoAnalog_EnableCurrentInvalid | ( | GoAnalog | analog,
|  | kBool | enable
| ) |  |

Enables the current output level associated with an invalid measurement.

When this is disabled, the output value will be held constant on an invalid measurement

Parameters

  analog | GoAnalog object.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kStatus GoAnalog_EnableSchedule | ( | GoAnalog | analog,
|  | kBool | enabled
| ) |  |

Enables or disables the scheduler for this output.

Parameters

  analog | GoAnalog object.
  enabled | kTRUE to enable, kFALSE to disable

Returns
  Operation status.

GoAnalogEvent GoAnalog_Event | ( | GoAnalog | analog | ) |

Gets the event which triggers this output to fire.

Parameters

  analog | GoAnalog object.

Returns
  The output event.

k32u GoAnalog_OptionAt | ( | GoAnalog | analog,
|  | kSize | index
| ) |  |

Gets the measurement value source option at the specified index.

Parameters

  analog | GoAnalog object.
  index | Source option index.

Returns
  Source option.

kSize GoAnalog_OptionCount | ( | GoAnalog | analog | ) |

Gets the number of measurement value source options.

Parameters

  analog | GoAnalog object.

Returns
  Count of source options.

kBool GoAnalog_ScheduleEnabled | ( | GoAnalog | analog | ) |

Gets the enabled state of the scheduler for this output.

Parameters

  analog | GoAnalog object.

Returns
  kTRUE if the scheduler is enabled; kFALSE otherwise.

kStatus GoAnalog_SetCurrentInvalid | ( | GoAnalog | analog,
|  | k64f | invalid
| ) |  |

Sets the current output level associated with an invalid measurement.

Parameters

  analog | GoAnalog object.
  invalid | Invalid output current (mA).

Returns
  Operation status.

kStatus GoAnalog_SetCurrentMax | ( | GoAnalog | analog,
|  | k64f | max
| ) |  |

Sets the maximum current output level.

Parameters

  analog | GoAnalog object.
  max | Maximum current output level (mA).

Returns
  Operation status.

kStatus GoAnalog_SetCurrentMin | ( | GoAnalog | analog,
|  | k64f | min
| ) |  |

Sets the minimum current output level.

Parameters

  analog | GoAnalog object.
  min | Minimum current output level (mA).

Returns
  Operation status.

kStatus GoAnalog_SetDataScaleMax | ( | GoAnalog | analog,
|  | k64f | max
| ) |  |

Sets the measurement value associated with the maximum output current value.

Parameters

  analog | GoAnalog object.
  max | Maximum measurement value (units are measurement dependent).

Returns
  Operation status.

kStatus GoAnalog_SetDataScaleMin | ( | GoAnalog | analog,
|  | k64f | min
| ) |  |

Sets the measurement value associated with the minimum output current value.

Parameters

  analog | GoAnalog object.
  min | Minimum measurement value (units are measurement dependent).

Returns
  Operation status.

kStatus GoAnalog_SetDelay | ( | GoAnalog | analog,
|  | k64s | delay
| ) |  |

Sets the delay from exposure until output is triggered, in units based on GoDomain mm when GoDomain is distance, uS when GoDomain is time.

The delay is ignored when GoDomain is Immediate or when output is Software triggered.

Parameters

  analog | GoAnalog object.
  delay | The delay (uS or mm)

Returns
  Operation status.

kStatus GoAnalog_SetDelayDomain | ( | GoAnalog | analog,
|  | GoOutputDelayDomain | delayDomain
| ) |  |

Sets the output delay domain.

Parameters

  analog | GoAnalog object.
  delayDomain | Output delay domain.

Returns
  The output delay domain (time or encoder value).

kStatus GoAnalog_SetEvent | ( | GoAnalog | analog,
|  | GoAnalogEvent | event
| ) |  |

Set the event which triggers this output to fire.

Parameters

  analog | GoAnalog object.
  event | The selected output event.

Returns
  Operation status.

kStatus GoAnalog_SetSource | ( | GoAnalog | analog,
|  | k32u | sourceId
| ) |  |

Selects a source type and source identifier for output.

Parameters

  analog | GoAnalog object.
  sourceId | Output source identifier.

Returns
  Operation status.

k32u GoAnalog_Source | ( | GoAnalog | analog | ) |

Gets the selected source identifier.

Parameters

  analog | GoAnalog object.

Returns
  Selected source identifier.

The documentation for this class was generated from the following file:

- Outputs/GoAnalog.h